export declare class CustomActionBuilder {
    /**
     * @stable [22.10.2018]
     * @param {string} section
     * @param {string} type
     * @returns {string}
     */
    static buildCustomActionType(section: string, type: string): string;
    /**
     * @stable [22.10.2018]
     * @param {string} section
     * @returns {string}
     */
    static buildCustomCloneActionType(section: string): string;
    /**
     * @stable [22.10.2018]
     * @param {string} section
     * @returns {string}
     */
    static buildCustomDisableActionType(section: string): string;
    /**
     * @stable [22.10.2018]
     * @param {string} section
     * @returns {string}
     */
    static buildCustomDeleteActionType(section: string): string;
}
