import { IContainerClassEntity, IUniversalContainerEntity } from '../entities-definitions.interface';
import { IContainerProps } from '../props-definitions.interface';
/**
 * @stable - 23.04.2018
 * @param {IContainerClassEntity} applicationContainer
 * @param {IUniversalContainerEntity} initialProps
 * @returns {IContainerClassEntity}
 */
export declare const makeBootstrapApp: (applicationContainer: IContainerClassEntity<IContainerProps, {}>, initialProps?: IUniversalContainerEntity) => IContainerClassEntity<IContainerProps, {}>;
