/// <reference types="react" />
import { Field, IFieldInputProps } from '../../field';
import { IViewFieldProps } from './viewfield.interface';
export declare class ViewField extends Field<IViewFieldProps> {
    static defaultProps: IViewFieldProps;
    /**
     * @stable [27.06.2018]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [27.06.2018]
     * @returns {IFieldInputProps}
     */
    protected getInputElementProps(): IFieldInputProps;
    /**
     * @stable [27.06.2018]
     * @returns {JSX.Element}
     */
    private readonly viewElement;
}
