"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var vue_property_decorator_1 = require("vue-property-decorator");
var util_1 = require("../../../util");
var vue_index_1 = require("../../connector/vue-index");
var vue_index_2 = require("../../base/vue-index");
// TODO
var VueFlexLayout = /** @class */ (function (_super) {
    __extends(VueFlexLayout, _super);
    function VueFlexLayout() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    VueFlexLayout.prototype.render = function (factory) {
        var nodeData = {
            class: this.getClassName(),
            style: this.styles,
            attrs: {
                title: this.title,
            },
        };
        return factory('div', nodeData, this.$slots.default);
    };
    VueFlexLayout.prototype.getClassName = function () {
        var props = this;
        return util_1.toClassName('rac-flex', util_1.calc(props.className), props.fullSize && 'rac-full-size', props.row ? 'rac-flex-row' : 'rac-flex-column', props.full !== false && 'rac-flex-full', props.separator && 'rac-flex-separator', props.alignItemsCenter && 'rac-flex-align-items-center', props.alignItemsEnd && 'rac-flex-align-items-end', props.justifyContentCenter && 'rac-flex-justify-content-center', props.justifyContentEnd && 'rac-flex-justify-content-end');
    };
    __decorate([
        vue_property_decorator_1.Prop(),
        __metadata("design:type", String)
    ], VueFlexLayout.prototype, "children", void 0);
    __decorate([
        vue_property_decorator_1.Prop(),
        __metadata("design:type", String)
    ], VueFlexLayout.prototype, "title", void 0);
    __decorate([
        vue_property_decorator_1.Prop(),
        __metadata("design:type", Boolean)
    ], VueFlexLayout.prototype, "row", void 0);
    __decorate([
        vue_property_decorator_1.Prop(),
        __metadata("design:type", Boolean)
    ], VueFlexLayout.prototype, "full", void 0);
    __decorate([
        vue_property_decorator_1.Prop(),
        __metadata("design:type", Boolean)
    ], VueFlexLayout.prototype, "separator", void 0);
    __decorate([
        vue_property_decorator_1.Prop(),
        __metadata("design:type", Boolean)
    ], VueFlexLayout.prototype, "alignItemsCenter", void 0);
    __decorate([
        vue_property_decorator_1.Prop(),
        __metadata("design:type", Boolean)
    ], VueFlexLayout.prototype, "alignItemsEnd", void 0);
    __decorate([
        vue_property_decorator_1.Prop(),
        __metadata("design:type", Boolean)
    ], VueFlexLayout.prototype, "justifyContentCenter", void 0);
    __decorate([
        vue_property_decorator_1.Prop(),
        __metadata("design:type", Boolean)
    ], VueFlexLayout.prototype, "justifyContentEnd", void 0);
    __decorate([
        vue_property_decorator_1.Prop(),
        __metadata("design:type", Boolean)
    ], VueFlexLayout.prototype, "fullSize", void 0);
    VueFlexLayout = __decorate([
        vue_index_1.ComponentName('vue-flex-layout'),
        vue_property_decorator_1.Component
    ], VueFlexLayout);
    return VueFlexLayout;
}(vue_index_2.VueBaseComponent));
//# sourceMappingURL=vue-flex-layout.component.js.map