"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_native_1 = require("react-native");
var ts_smart_logger_1 = require("ts-smart-logger");
var env_1 = require("./env");
ts_smart_logger_1.LoggerFactory.configureLogLevel(env_1.ENV.prodMode ? ts_smart_logger_1.LoggerLevelEnum.ERROR_LEVEL : ts_smart_logger_1.LoggerLevelEnum.DEBUG_LEVEL);
var universal_bootstrap_app_factory_1 = require("./bootstrap/universal-bootstrap-app.factory");
var rn_application_container_1 = require("./component/application/rn-application.container");
function rnBootstrap(containerName, applicationContainer, props) {
    if (applicationContainer === void 0) { applicationContainer = rn_application_container_1.RnApplicationContainer; }
    var componentClass = universal_bootstrap_app_factory_1.makeBootstrapApp(applicationContainer, props);
    react_native_1.AppRegistry.registerComponent(containerName, function () { return componentClass; });
}
exports.rnBootstrap = rnBootstrap;
//# sourceMappingURL=rn-bootstrap.js.map