"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var di_1 = require("../../di");
var notification_1 = require("../../notification");
var universal_container_1 = require("./universal.container");
var BaseContainer = /** @class */ (function (_super) {
    __extends(BaseContainer, _super);
    function BaseContainer(props) {
        var _this = _super.call(this, props) || this;
        _this.activateFormDialog = _this.activateFormDialog.bind(_this);
        return _this;
    }
    // Notification service method (DRY)
    BaseContainer.prototype.dispatchNotification = function (info) {
        this.dispatchCustomType(notification_1.NOTIFICATION_INFO_ACTION_TYPE, { info: info });
    };
    // Service method (DRY)
    BaseContainer.prototype.isPermissionAccessible = function (checkedObject) {
        return this.permissionService.isAccessible(checkedObject);
    };
    // Service method (DRY)
    BaseContainer.prototype.activateFormDialog = function () {
        this.refs.formDialog.activate();
    };
    __decorate([
        di_1.lazyInject(di_1.DI_TYPES.Permission),
        __metadata("design:type", Object)
    ], BaseContainer.prototype, "permissionService", void 0);
    return BaseContainer;
}(universal_container_1.UniversalContainer));
exports.BaseContainer = BaseContainer;
//# sourceMappingURL=base.container.js.map