/**
 * @stable [19.08.2018]
 * @param {string} time
 * @returns {string}
 */
export declare const normalizeTime: (time: string) => string;
/**
 * @stable [19.08.2018]
 * @param {number} time
 * @returns {string}
 */
export declare const fromTimeAtMinutesToTimeAtString: (time: number) => string;
/**
 * @stable [19.08.2018]
 * @param {string} time1
 * @param {string} time2
 * @returns {number}
 */
export declare const getDiffAtSecondsBetween: (time1: string, time2: string) => number;
/**
 * @stable [19.08.2018]
 * @param {string} time1
 * @param {string} time2
 * @returns {number}
 */
export declare const getDiffAtMinutesBetween: (time1: string, time2: string) => number;
/**
 * @stable [19.08.2018]
 * @param {string} time1
 * @returns {number}
 */
export declare const getDiffAtMinutes: (time1: string) => number;
